Support Forum
The Forums are a place to find answers on a range of Fortinet products from peers and product experts.
Blubaru
New Contributor

FortiClient VPN and MacOS Ventura Compatibility?

Is FC VPN 7.0+ compatible with the new Ventura OS?

 

I had the app working fine on the previous OS, but once upgraded, the app no longer can connect.  I get a "network error. Unable to connect to server".  I've confirmed that nothing has changed on the remote end and my PC still works fine.

 

I know Apple sometimes like to mess around with security settings on these update, which is what I'm guessing is causing this issue.

 

So far, I've done the following:

Disabled my local firewall

Given FC VPN full access to my computer.

 

Any ideas on how to fix this issue?  Thanks!

18 REPLIES 18
Marius82
New Contributor

Hi,

 

Also within our organisation after MacOS Ventura 13.4 upgrade, more and more devices started to have internet connectivity issues. Looks like this new OS interacts seriously with FortiClient. So far the workaround was to disable the Fortinet WebFilter from the Settings-Network-VPN and Filters. After this is deleted or disabled, the internet connectivity is restored. We are using EMS 7.0.6 and tried wit FCT 7.0.2/7.0.3/7.0.7. There were no changes no matter of the FCT version. First it started to happen to Intel Processor MACs. Now it also started for some M1 chip MAC. 

 

I also opened a ticket on Fortinet and they recommended to upgrade the EMS to 7.0.8 and use FCT 7.0.8. I am pretty sure this will not fix the issue, since the release notes for the latest FCT has a known bug saying that FortiClient WebFilter does not work with MacOS Ventura.

 

Has anyone experienced this so far and found a real cause behind the behaviour?

 

Thanks

gujuloos
New Contributor II

Hi,

 

I also seem to having a very similar issue. It works fine on my Windows machine but when using my M1 Macbook. I am able to connect using Microsoft Authenticator but then I have zero connectivity once it successfully connects. I have installed multiple versions of the Forticlient VPN (7.0.3, 7.0.8, 7.2.1) and they all do the exact same thing. I am on Ventura 13.4.1

Dhiraj_Jha
New Contributor

I was struggling with the same issues since yesterday and spent almost 4 hrs to find the solution finally. Searching always gives you suggestion from older Mac version which ofcourse does not work on Ventura.

So I had to get the configuration files updated (plist) after a restart. Then allow the full disk permission to forticlient and associated services.

 

Finally i Got Option as "Some System Software needs attention" in Privacy and security. Upon opening it, I got fortitray which was disabled. once I enabled - it worked like charm.

 

I saw many people struggling with the same so created account and updating this info.

 

Good luck folks!

gujuloos
New Contributor II

How did you get the configuration files updated? What exactly is plist? Could you provide a guide on what steps you did to get it working?

aGon

Hi,

 

Can you share us how exactly did you resolve that plist thing? and what does it do? thanks

mantzd

I too would greatly appreciate how you finally triggered the option to "enable" Fortitray to appear.  I can't get it to trigger the actual slider option after displaying the message that Foritray needs to be permitted. Thanks in advance for any additional steps you can provide us struggling with the client on Mac Ventura M1. 

JaSan

I also would like to know what you did to get this working. I have been struggling with this issue for months.

Vogel
New Contributor

Disclaimer, I already posted this in another discussion Forticlient error on Mac after token authorization: Internal error. VPN status observer is already, but when I was searching for a solution I found this thread first.

 

Anyhow, the implementation for macOS is not very stable, and sometimes a version works, and sometimes not, and you will not find a reason.

 

So I had the same error "Internal error. VPN status observer is already" with version 7.2.0 my company provided. I uninstalled this with the official uninstaller, and downloaded the free version from the website, which happens to be 7.0.9. After installation I could connect, I had no error anymore. Out of curiosity – I should not have, because it kills the cat – I uninstalled this version and ran the installer again, it would hang now with the status connecting and no error. I uninstalled version 7.0.9 and installed version 7.2.0 again, and now its working. So I'm just going to leave it and not poke around anymore – never change a running system!

uf-arra
New Contributor

have you found an offline installer of older versions that can work with MacOS Ventura 13.6?

Labels
Top Kudoed Authors